﻿<?xml version="1.0" encoding="utf-8"?>
<root>
  <!-- 
    Microsoft ResX Schema 
    
    Version 2.0
    
    The primary goals of this format is to allow a simple XML format 
    that is mostly human readable. The generation and parsing of the 
    various data types are done through the TypeConverter classes 
    associated with the data types.
    
    Example:
    
    ... ado.net/XML headers & schema ...
    <resheader name="resmimetype">text/microsoft-resx</resheader>
    <resheader name="version">2.0</resheader>
    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
        <value>[base64 mime encoded serialized .NET Framework object]</value>
    </data>
    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
        <comment>This is a comment</comment>
    </data>
                
    There are any number of "resheader" rows that contain simple 
    name/value pairs.
    
    Each data row contains a name, and value. The row also contains a 
    type or mimetype. Type corresponds to a .NET class that support 
    text/value conversion through the TypeConverter architecture. 
    Classes that don't support this are serialized and stored with the 
    mimetype set.
    
    The mimetype is used for serialized objects, and tells the 
    ResXResourceReader how to depersist the object. This is currently not 
    extensible. For a given mimetype the value must be set accordingly:
    
    Note - application/x-microsoft.net.object.binary.base64 is the format 
    that the ResXResourceWriter will generate, however the reader can 
    read any of the formats listed below.
    
    mimetype: application/x-microsoft.net.object.binary.base64
    value   : The object must be serialized with 
            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
            : and then encoded with base64 encoding.
    
    mimetype: application/x-microsoft.net.object.soap.base64
    value   : The object must be serialized with 
            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
            : and then encoded with base64 encoding.

    mimetype: application/x-microsoft.net.object.bytearray.base64
    value   : The object must be serialized into a byte array 
            : using a System.ComponentModel.TypeConverter
            : and then encoded with base64 encoding.
    -->
  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
    <xsd:element name="root" msdata:IsDataSet="true">
      <xsd:complexType>
        <xsd:choice maxOccurs="unbounded">
          <xsd:element name="metadata">
            <xsd:complexType>
              <xsd:sequence>
                <xsd:element name="value" type="xsd:string" minOccurs="0" />
              </xsd:sequence>
              <xsd:attribute name="name" use="required" type="xsd:string" />
              <xsd:attribute name="type" type="xsd:string" />
              <xsd:attribute name="mimetype" type="xsd:string" />
              <xsd:attribute ref="xml:space" />
            </xsd:complexType>
          </xsd:element>
          <xsd:element name="assembly">
            <xsd:complexType>
              <xsd:attribute name="alias" type="xsd:string" />
              <xsd:attribute name="name" type="xsd:string" />
            </xsd:complexType>
          </xsd:element>
          <xsd:element name="data">
            <xsd:complexType>
              <xsd:sequence>
                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
              </xsd:sequence>
              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
              <xsd:attribute ref="xml:space" />
            </xsd:complexType>
          </xsd:element>
          <xsd:element name="resheader">
            <xsd:complexType>
              <xsd:sequence>
                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
              </xsd:sequence>
              <xsd:attribute name="name" type="xsd:string" use="required" />
            </xsd:complexType>
          </xsd:element>
        </xsd:choice>
      </xsd:complexType>
    </xsd:element>
  </xsd:schema>
  <resheader name="resmimetype">
    <value>text/microsoft-resx</value>
  </resheader>
  <resheader name="version">
    <value>2.0</value>
  </resheader>
  <resheader name="reader">
    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
  </resheader>
  <resheader name="writer">
    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
  </resheader>
  <data name="changeR" xml:space="preserve">
    <value>UPDATE {0} set DocRate = {1} where DocEntry = {2} and CardCode = '{3}'</value>
  </data>
  <data name="IncPay01" xml:space="preserve">
    <value>Select top 1 DocEntry, DocRate,DocCur,DocTotalFC, DocTotal, DocTotalSy,PaidFC from OINV where DocNum = {0} and CardCode = '{1}'</value>
  </data>
  <data name="IncPay02" xml:space="preserve">
    <value>Select top 1 DocEntry, DocRate,DocCur,DocTotalFC, DocTotal, DocTotalSy,PaidFC from ORIN where DocNum = {0} and CardCode = '{1}'</value>
  </data>
  <data name="IncPay03" xml:space="preserve">
    <value>Select top 1 DocNum from OINV where DocEntry = {0} and CardCode = '{1}'</value>
  </data>
  <data name="IncPay04" xml:space="preserve">
    <value>Select top 1 DocNum from ORIN where DocEntry = {0} and CardCode = '{1}'</value>
  </data>
  <data name="IncPay05" xml:space="preserve">
    <value>Select top 1 DocRate,DocCur,DocTotalFC, DocTotal, DocTotalSy from OINV where DocNum = {0} and DocSubType = 'DN' and CardCode = '{1}'</value>
  </data>
  <data name="OutPay01" xml:space="preserve">
    <value>Select top 1 DocEntry,DocRate,DocCur,DocTotalFC, DocTotal, DocTotalSy,PaidFC from OPCH where DocNum = {0}  and CardCode = '{1}'</value>
  </data>
  <data name="OutPay02" xml:space="preserve">
    <value>Select top 1 DocEntry,DocRate,DocCur,DocTotalFC, DocTotal, DocTotalSy,PaidFC from  ORPC where DocNum = {0}  and CardCode = '{1}'</value>
  </data>
  <data name="OutPay03" xml:space="preserve">
    <value>Select top 1 DocNum from OPCH where DocEntry = {0} and CardCode = '{1}'</value>
  </data>
  <data name="OutPay04" xml:space="preserve">
    <value>Select top 1 DocNum from ORPC where DocEntry = {0} and CardCode = '{1}'</value>
  </data>
  <data name="OutPay05" xml:space="preserve">
    <value>Select top 1 DocRate,DocCur,DocTotalFC, DocTotal, DocTotalSy from OPCH where DocNum = {0} and DocSubType = 'DM' and CardCode = '{1}'</value>
  </data>
  <data name="Udfs01" xml:space="preserve">
    <value>SELECT FieldID FROM CUFD WHERE TableID = '{0}' AND AliasID = '{1}'</value>
  </data>
  <data name="IncPay06" xml:space="preserve">
    <value>Select top 1  DocEntry,DocRate,DocCurr as DocCur,DocTotalFC, DocTotal, DocTotalSy from ORCT where TransId = {0} and CardCode = '{1}'</value>
  </data>
  <data name="OutPay06" xml:space="preserve">
    <value>Select top 1  DocRate,DocCurr as DocCur,DocTotalFC, DocTotal, DocTotalSy from OVPM where TransId = {0} and CardCode = '{1}'</value>
  </data>
  <data name="change02" xml:space="preserve">
    <value>UPDATE  {0} set InsTotal ={1} where DocEntry = {2}</value>
  </data>
  <data name="change03" xml:space="preserve">
    <value>UPDATE JDT1 set BalDueDeb = {0} where TransId in (select top 1 TransId from OJDT where CreatedBy={1} and TransType = {2}) and Line_ID =0</value>
  </data>
  <data name="change04" xml:space="preserve">
    <value>UPDATE ITR1 set ReconSum = {0} where TransId in (select top 1 TransId from OJDT where CreatedBy={1} and TransType = {2})</value>
  </data>
  <data name="change05" xml:space="preserve">
    <value>UPDATE JDT1 set Debit = {0} where TransId in (select top 1 TransId from OJDT where CreatedBy={1} and TransType = {2}) and Line_ID =0</value>
  </data>
  <data name="MenuCancel01" xml:space="preserve">
    <value>SELECT * from "RCT2" where "DocNum" in (select "DocEntry" from "ORCT" where "DocNum" = {0})</value>
  </data>
  <data name="MenuCancel02" xml:space="preserve">
    <value>select * from {0} where DocEntry = {1}</value>
  </data>
  <data name="change06" xml:space="preserve">
    <value>update OCRD set Balance  = (select top 1 Balance - {0} from OCRD where CardCode = '{1}')  where CardCode = '{1}' and CardType = 'C'</value>
  </data>
  <data name="change07" xml:space="preserve">
    <value>update OCRD set Balance  = (select top 1 Balance + {0} from OCRD where CardCode = '{1}')  where CardCode = '{1}' and CardType = 'C'</value>
  </data>
  <data name="info02" xml:space="preserve">
    <value>Select InsTotal from {0} where DocEntry = {2}</value>
  </data>
  <data name="info03" xml:space="preserve">
    <value>select   BalDueDeb from JDT1 where TransId in (select top 1 TransId from OJDT where CreatedBy={0} and TransType = {1}) and Line_ID =0</value>
  </data>
  <data name="info04" xml:space="preserve">
    <value>Select ReconSum  from ITR1 where TransId in (select top 1 TransId from OJDT where CreatedBy={0} and TransType = {1})</value>
  </data>
  <data name="info05" xml:space="preserve">
    <value>select Debit from JDT1 where TransId in (select top 1 TransId from OJDT where CreatedBy={0} and TransType = {1}) and Line_ID =0</value>
  </data>
  <data name="info06" xml:space="preserve">
    <value>select Balance from OCRD   where CardCode = '{0}'</value>
  </data>
  <data name="change08" xml:space="preserve">
    <value>UPDATE JDT1 set Debit = {0} where TransId in (select top 1 TransId from OJDT where CreatedBy={1} and TransType = 46) and Line_ID =2</value>
  </data>
  <data name="change09" xml:space="preserve">
    <value>update JDT1 set SYSCred = (select SYSDeb from JDT1 where Line_ID =0 and  TransId = (select top 1 TransId from OJDT where BaseRef = {0} and TransType = {1} and StornoToTr is null)) where TransId in (select top 1 TransId from OJDT where BaseRef = {0} and TransType = {1} and StornoToTr is null) and SourceLine = -99 and Ref3Line = {0}</value>
  </data>
  <data name="change10" xml:space="preserve">
    <value>update JDT1 set SYSCred = 0 where TransId in (select top 1 TransId from OJDT where BaseRef = {0} and TransType = {1} and StornoToTr is null) and SourceLine = -99 and Ref3Line is null</value>
  </data>
  <data name="change11" xml:space="preserve">
    <value>update "JDT1" set "SYSCred" = 0 , "Credit" =0 where "TransId" in (select top 1 "TransId" from "OJDT" where "BaseRef" = {0} and "TransType" = {1} and "StornoToTr" is null) and "Line_ID" = 1</value>
  </data>
  <data name="change12" xml:space="preserve">
    <value>update "JDT1" set "SYSCred" =0, 
"SYSDeb" = (select "SYSCred" from "JDT1" where "Line_ID" =0 and  "TransId" = (select top 1 "TransId" from "OJDT" where "BaseRef" = {0} and "TransType" = {1} and "StornoToTr" is null)) ,
"Debit" = (select "Credit" from "JDT1" where "Line_ID" =0 and  "TransId" = (select top 1 "TransId" from "OJDT" where "BaseRef" = {0} and "TransType" = {1} and "StornoToTr" is null))
where "TransId" in (select top 1 "TransId" from "OJDT" where "BaseRef" = {0} and "TransType" = {1} and "StornoToTr" is null) and "SourceLine" = -99 and "Ref3Line" = {0}</value>
  </data>
  <data name="Log02" xml:space="preserve">
    <value>select InsTotal from {0} where DocEntry = {2}</value>
  </data>
  <data name="Log03" xml:space="preserve">
    <value>select BalDueDeb from JDT1 where TransId in (select top 1 TransId from OJDT where CreatedBy={1} and TransType = {2}) and Line_ID =0</value>
  </data>
  <data name="Log04" xml:space="preserve">
    <value>select ReconSum from ITR1 where TransId in (select top 1 TransId from OJDT where CreatedBy={1} and TransType = {2})</value>
  </data>
  <data name="Log05" xml:space="preserve">
    <value>select Debit from JDT1 where TransId in (select top 1 TransId from OJDT where CreatedBy={1} and TransType = {2}) and Line_ID =0</value>
  </data>
  <data name="Log0607" xml:space="preserve">
    <value>select Balance from OCRD  where CardCode = '{1}' and CardType = 'C'</value>
  </data>
  <data name="Log09" xml:space="preserve">
    <value>select SYSCred from JDT1 where TransId in (select top 1 TransId from OJDT where BaseRef = {0} and TransType = {1} and StornoToTr is null) and SourceLine = -99 and Ref3Line = {0}</value>
  </data>
  <data name="Log10" xml:space="preserve">
    <value>select SYSCred from JDT1 where TransId in (select top 1 TransId from OJDT where BaseRef = {0} and TransType = {1} and StornoToTr is null) and SourceLine = -99 and Ref3Line is null</value>
  </data>
  <data name="Log08" xml:space="preserve">
    <value>select Debit from JDT1 where TransId in (select top 1 TransId from OJDT where CreatedBy={1} and TransType = 46) and Line_ID =2</value>
  </data>
  <data name="Log11" xml:space="preserve">
    <value>Select "SYSCred","Credit" from "JDT1" where "TransId" in (select top 1 "TransId" from "OJDT" where "BaseRef" = {0} and "TransType" = {1} and "StornoToTr" is null) and "Line_ID" = 1</value>
  </data>
  <data name="Log12" xml:space="preserve">
    <value>select "SYSCred","SYSDeb","Debit" from JDT1 where "TransId" in (select top 1 "TransId" from "OJDT" where "BaseRef" = {0} and "TransType" = {1} and "StornoToTr" is null) and "SourceLine" = -99 and "Ref3Line" = {0}</value>
  </data>
</root>